
;==============================================================================

   fmt = '(f9.2)'

   ;---------------------------------------------------------------
   ; LOOP
   ;---------------------------------------------------------------

   FOR i = 1,10 DO BEGIN 

      vlen   = 1L
      fday   = 1750.1D  + i * 33.07D
      r      = 6371.2D + i * 50.D
      theta  = (3.0D + i * 15.2D)
      phi    = 22.D  * i 
      imf_by = -5.0D 
      e_st   = -50.D
      i_st   = 1.3 * e_st

      ;-------------------------------------------------------------
      ; CALL
      ;-------------------------------------------------------------
  
      !,'<- '+q([fday,r,theta,phi,e_st,i_st,imf_by],f = fmt)

      b = pomme_calc(                     $
                      model,              $
                      vlen,               $
                      fday,               $
                      r,                  $
                      theta,              $
                      phi,                $
                      e_st,               $
                      i_st,               $
                      imf_by              )

      !,'-> '+q([b.bm,b.be], f = fmt)

   ENDFOR

END
;==============================================================================
