%==============================================================================
%
%   Calling 'mex' to build the matlab Pomme (2.3, 3, ...) interface
%
%   * the usage of the make command and the Makefile in the main pomme 
%     directory is recommended, but this simple matlab-script 'buildmex.m' 
%     should do the work for the MS Windows opsys.
%
%   * the path-syntax is windows-like.
%
%   please run from directory where 'buildmex.m' is located.
%
%   2004-Nov-10. Martin Rother (rother@gfz-potsdam.de).
%==============================================================================

    mex           -I..\..\C                            ...        
                  -output pomme_init                   ...
                  pomme_init.c                         ...
                  ..\..\C\sm2geo.c                     ...
                  ..\..\C\gsm2geo.c                    ...
                  ..\..\C\pomme3d1.c                   ...
                  ..\..\F\magfdz.c                     ...
                  ..\..\F\plmbar.c                     

    mex           -I..\..\C                            ...
                  -output pomme_calc                   ...
                  pomme_calc.c                         ...
                  ..\..\C\sm2geo.c                     ...
                  ..\..\C\gsm2geo.c                    ...
                  ..\..\C\pomme3d1.c                   ...
                  ..\..\F\magfdz.c                     ...
                  ..\..\F\plmbar.c                     


    mex           -I..\..\C                            ...   
                  -output pomme_control                ...
                  pomme_cntr.c                         ...
                  ..\..\C\sm2geo.c                     ...
                  ..\..\C\gsm2geo.c                    ...
                  ..\..\C\pomme3d1.c                   ...
                  ..\..\F\magfdz.c                     ...
                  ..\..\F\plmbar.c                     

%==============================================================================
